# -*- coding: utf-8 -*-

import sys
import csv
import types
import PyQt5.QtCore as core
import PyQt5.QtWidgets as widgets
import PyQt5.uic as uic

app = widgets.QApplication(sys.argv)
w = uic.loadUi("gesten.ui")
points = []
training = []
trainingSchwerpunkte = []

def handleEvents(self, event):
    global points
    if event.type() == core.QEvent.MouseMove:
        points.append(event.pos())
        print(len(points))
    elif event.type() == core.QEvent.MouseButtonRelease:
        points = []
    return True

w.widget.event = types.MethodType(handleEvents, w.widget)
f = open("mausgesten.csv", "r")
reader = csv.reader(f, delimiter = ',')
g = []
xSumme = 0
ySumme = 0
for row in reader:
    if int(row[0]) < 0:
        trainingSchwerpunkte.append(core.QPoint(xSumme / len(g), ySumme / len(g)))
        training.append(g)
        g = []
        xSumme = 0
        ySumme = 0
    else:
        x = int(row[0])
        y = int(row[1])
        g.append(core.QPoint(x, y))
        xSumme += x
        ySumme += y
f.close()
print(trainingSchwerpunkte[2].x())
w.show()
sys.exit(app.exec_())